## org.eclipse.jetty.servlet
Class Holder.HolderRegistration

    java.lang.Object
      org.eclipse.jetty.servlet.Holder.HolderRegistration

All Implemented Interfaces:
  Registration, Registration.Dynamic

Direct Known Subclasses:
  FilterHolder.Registration, ServletHolder.Registration

Enclosing class:
  Holder<T>

    protected class Holder.HolderRegistration

extends Object
implements Registration.Dynamic

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.jetty.servlet.api.Registration
`Registration.Dynamic`

Constructor Summary
`protected` `Holder.HolderRegistration()`

Method Summary
`String` `getClassName()`
`String` `getInitParameter(String name)`
`Map<String,String>` `getInitParameters()`
`String` `getName()`
`void` `setAsyncSupported(boolean isAsyncSupported)`
`void` `setDescription(String description)`
`boolean` `setInitParameter(String name, String value)`
`Set<String>` `setInitParameters(Map<String,String> initParameters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Holder.HolderRegistration

    protected Holder.HolderRegistration()

Method Detail

### setAsyncSupported

    public void setAsyncSupported(boolean isAsyncSupported)

  Specified by:
    `setAsyncSupported` in interface `Registration.Dynamic`

### setDescription

    public void setDescription(String description)

### getClassName

    public String getClassName()

  Specified by:
    `getClassName` in interface `Registration`

### getInitParameter

    public String getInitParameter(String name)

  Specified by:
    `getInitParameter` in interface `Registration`

### getInitParameters

    public Map<String,String> getInitParameters()

  Specified by:
    `getInitParameters` in interface `Registration`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Registration`

### setInitParameter

    public boolean setInitParameter(String name,
                                    String value)

  Specified by:
    `setInitParameter` in interface `Registration`

### setInitParameters

    public Set<String> setInitParameters(Map<String,String> initParameters)

  Specified by:
    `setInitParameters` in interface `Registration`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.